Skip to main content
GET
/
v1
/
machines
/
{machine_id}
/
executions
/
{execution_id}
/
events
Typescript
const client = new Dedalus();

const result = await client.machines.executions.events({ ...params });
{ "items": [ { "at": "2023-11-07T05:31:56Z", "sequence": 123, "type": "lifecycle", "chunk": "<string>", "error_code": "<string>", "error_message": "<string>", "exit_code": 123, "signal": 123, "status": "wake_in_progress" } ], "next_cursor": "<string>" }

Authorizations

x-api-key
string
header
required

Dedalus API key. Alternative to Bearer token.

Headers

X-Dedalus-Org-Id
string

Path Parameters

machine_id
string
required
execution_id
string
required

Query Parameters

limit
integer<int64>
cursor
string

Response

OK

items
object[] | null
required
next_cursor
string
Last modified on April 9, 2026